Package com.independentsoft.graph.changenotifications

# Class ChangeNotification

java.lang.Object
com.independentsoft.graph.changenotifications.ChangeNotification

public class ChangeNotification extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeNotification()`
  `ChangeNotification​(InputStream inputStream)`
  `ChangeNotification​(String json)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ChangeType>`
  `getChangeTypes()`
  `String`
  `getClientState()`
  `ChangeNotificationEncryptedContent`
  `getEncryptedContent()`
  `String`
  `getId()`
  `LifecycleEventType`
  `getLifecycleEvent()`
  `String`
  `getResource()`
  `ResourceData`
  `getResourceData()`
  `Date`
  `getSubscriptionExpirationTime()`
  `String`
  `getSubscriptionId()`
  `String`
  `getTenantId()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeNotification

    public ChangeNotification()

  - ### ChangeNotification

    public ChangeNotification​(InputStream inputStream) throws IOException
    Throws:
      `IOException`

  - ### ChangeNotification

    public ChangeNotification​(String json) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChangeTypes

    public List<ChangeType> getChangeTypes()

  - ### getClientState

    public String getClientState()

  - ### getEncryptedContent

    public ChangeNotificationEncryptedContent getEncryptedContent()

  - ### getId

    public String getId()

  - ### getLifecycleEvent

    public LifecycleEventType getLifecycleEvent()

  - ### getResource

    public String getResource()

  - ### getResourceData

    public ResourceData getResourceData()

  - ### getSubscriptionExpirationTime

    public Date getSubscriptionExpirationTime()

  - ### getSubscriptionId

    public String getSubscriptionId()

  - ### getTenantId

    public String getTenantId()